@import "../var";

body {
  display: flex;
  flex-direction: column;

  header {
    display: flex;
    justify-content: space-between;
    height: 45px;
    padding: 10px 15px;
    background: #000000d9;
    user-select: none;

    img, i {
      height: 100%;

      &.fas {
        color: white;
      }
    }

    #div-logo-header {
      display: flex;
      align-items: center;

      img {
        max-height: 45px;
      }
    }

    nav {
      display: flex;
      justify-content: space-between;
      align-items: center;

      div {
        margin-right: 20px;

        &:last-child {
          margin-right: 0;
        }
      }

      .menu {
        position: relative;

        &#openModalUser {
          padding: 10px;
          cursor: pointer;

          i span {
            font-size: 15px;
          }
        }

        &#openModalHelp {
          cursor: pointer;
        }

        .subMenu {
          position: absolute;
          right: -20px;
          top: -10px;
          flex-direction: column;
          align-items: center;
          justify-content: space-around;
          border: 1px solid #252525d9;
          border-radius: 5%;
          display: flex;
          min-height: 50px;
          opacity: 0;
          transition: all 0.6s;
          width: 50px;
          z-index: 2;
          background: white;

          li {
            margin: 0;
            cursor: pointer;
            transition: margin 0.5s;

            img{
              display: block;
            }

            i, a, img {
              height: 0;
              opacity: 0;
              transition: height 2s, opacity 0.5s, color 0.5s;
              color: $vertPlusFonce;

              &:hover {
                color: black;
              }
            }
          }
        }

        &:hover, &.active {
          .subMenu {
            opacity: 1;

            li {
              margin-bottom: 25px;

              &:first-child{
                margin-top: 12px;
              }

              img, i, a {
                opacity: 1;
                height: auto;
              }
            }
          }
        }
      }
    }
  }
}
